Close

What are you looking for?

cancel
Showing results for 
Search instead for 
Did you mean: 

Google pay

(Topic created on: 13-10-2022 01:44 PM)
582 Views
muddzy
Pioneer
Options
I have issues using my contactless payment now for some reason it now says your device doesn't meet security requirements. What do I do now?
0 Likes
7 REPLIES 7
keith30
Mastermind
Options
I think it's a bug in the Google settings, they were quite a few complaining about receiving the same message you have had in the last few weeks. Not sure how it can be fixed until google issues a update. You could post a message in the Google Play store app and see if they can shed some light on how to fix it.
0 Likes
Glenntech
Samsung Members Star ★★
Options
Are you on the One UI 5 Beta program
If so then that's why. Currently it's not working on the Beta software for now.
Anonymous User
Not applicable
Options
Don't use GPay if you have a Samsung phone use SamsungPay it's a lot better.
muddzy
Pioneer
Options
No I'm not on the beta
0 Likes
muddzy
Pioneer
Options
Thanks
0 Likes
muddzy
Pioneer
Options
Just downloaded Samsung pay now
0 Likes
Anonymous User
Not applicable
Options
Let us know how you get on.
0 Likes